Package com.sas.rio

# Class MVACallableStatement

java.lang.Object
com.sas.rio.MVAStatement
com.sas.rio.MVAPreparedStatement
com.sas.rio.MVACallableStatement

All Implemented Interfaces:
  com.sas.rio.RIOStatementInterface, `com.sas.sql.RIOStatement`, `AutoCloseable`, `CallableStatement`, `PreparedStatement`, `Statement`, `Wrapper`

public class MVACallableStatement extends MVAPreparedStatement implements CallableStatement
Note: None of the methods in this class are supported because SAS software does not support stored procedures. All methods in this class throw a SQLException.

- ## Field Summary

  ### Fields inherited from class com.sas.rio.MVAStatement

  `_closeOnCompletion, _currentResultSet, describe, librefs, m_sasifyTableNames, maxFieldSize`

  ### Fields inherited from interface java.sql.Statement

  `CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Array`
  `getArray(int i)`
  JDBC 2.0 Gets an Array OUT parameter.
  `Array`
  `getArray(String parameterName)`
  Retrieves the value of the designated JDBC ARRAY parameter as an Array object in the Java programming language.
  `BigDecimal`
  `getBigDecimal(int parameterIndex)`
  Deprecated.
  `BigDecimal`
  `getBigDecimal(int parameterIndex, int scale)`
  Deprecated.
  `BigDecimal`
  `getBigDecimal(String parameterName)`
  Retrieves the value of the designated JDBC NUMERIC parameter as a java.math.BigDecimal object with as many digits to the right of the decimal point as the value contains.
  `Blob`
  `getBlob(int i)`
  JDBC 2.0 Gets a BLOB OUT parameter.
  `Blob`
  `getBlob(String parameterName)`
  Retrieves the value of the designated JDBC BLOB parameter as a Blob object in the Java programming language.
  `boolean`
  `getBoolean(int parameterIndex)`
  Retrieves the value of the designated JDBC BIT parameter as a boolean in the Java programming language.
  `boolean`
  `getBoolean(String parameterName)`
  Retrieves the value of the designated JDBC BIT parameter as a boolean in the Java programming language.
  `byte`
  `getByte(int parameterIndex)`
  Retrieves the value of the designated JDBC TINYINT parameter as a byte in the Java programming language.
  `byte`
  `getByte(String parameterName)`
  Retrieves the value of the designated JDBC TINYINT parameter as a byte in the Java programming language.
  `byte[]`
  `getBytes(int parameterIndex)`
  Retrieves the value of the designated JDBC BINARY or VARBINARY parameter as an array of byte values in the Java programming language.
  `byte[]`
  `getBytes(String parameterName)`
  Retrieves the value of the designated JDBC BINARY or VARBINARY parameter as an array of byte values in the Java programming language.
  `Reader`
  `getCharacterStream(int parameterIndex)`
  This method is not supported.
  `Reader`
  `getCharacterStream(String parameterName)`
  This method is not supported.
  `Clob`
  `getClob(int i)`
  JDBC 2.0 Gets a CLOB OUT parameter.
  `Clob`
  `getClob(String parameterName)`
  Retrieves the value of the designated JDBC CLOB parameter as a Clob object in the Java programming language.
  `Date`
  `getDate(int parameterIndex)`
  Retrieves the value of the designated JDBC DATE parameter as a java.sql.Date object.
  `Date`
  `getDate(int parameterIndex, Calendar cal)`
  Gets the value of a SQL DATE parameter as a java.sql.Date object.
  `Date`
  `getDate(String parameterName)`
  Retrieves the value of the designated JDBC DATE parameter as a java.sql.Date object.
  `Date`
  `getDate(String parameterName, Calendar cal)`
  Retrieves the value of the designated JDBC DATE parameter as a java.sql.Date object.
  `double`
  `getDouble(int parameterIndex)`
  Retrieves the value of the designated JDBC DOUBLE parameter as a double in the Java programming language.
  `double`
  `getDouble(String parameterName)`
  Retrieves the value of the designated JDBC DOUBLE parameter as a double in the Java programming language.
  `float`
  `getFloat(int parameterIndex)`
  Retrieves the value of the designated JDBC FLOAT parameter as a float in the Java programming language.
  `float`
  `getFloat(String parameterName)`
  Retrieves the value of the designated JDBC FLOAT parameter as a float in the Java programming language.
  `int`
  `getInt(int parameterIndex)`
  Retrieves the value of the designated JDBC INTEGER parameter as an int in the Java programming language.
  `int`
  `getInt(String parameterName)`
  Retrieves the value of the designated JDBC INTEGER parameter as an int in the Java programming language.
  `long`
  `getLong(int parameterIndex)`
  Retrieves the value of the designated JDBC BIGINT parameter as a long in the Java programming language.
  `long`
  `getLong(String parameterName)`
  Retrieves the value of the designated JDBC BIGINT parameter as a long in the Java programming language.
  `Reader`
  `getNCharacterStream(int parameterIndex)`
  This method is not supported.
  `Reader`
  `getNCharacterStream(String parameterName)`
  This method is not supported.
  `NClob`
  `getNClob(int parameterIndex)`
  This method is not supported.
  `NClob`
  `getNClob(String parameterName)`
  This method is not supported.
  `String`
  `getNString(int parameterIndex)`
  This method is not supported.
  `String`
  `getNString(String parameterName)`
  This method is not supported.
  `Object`
  `getObject(int parameterIndex)`
  Retrieves the value of the designated parameter as an Object in the Java programming language.
  `<T> T`
  `getObject(int arg0, Class<T> arg1)`
  `Object`
  `getObject(int i, Map<String,Class<?>> map)`
  JDBC 2.0 Gets an object representing the value of OUT parameter @i.
  `Object`
  `getObject(String parameterName)`
  Retrieves the value of the designated parameter as an Object in the Java programming language.
  `<T> T`
  `getObject(String arg0, Class<T> arg1)`
  `Object`
  `getObject(String parameterName, Map<String,Class<?>> map)`
  Retrieves the value of the designated parameter as an Object in the Java programming language.
  `Ref`
  `getRef(int i)`
  JDBC 2.0 Gets a REF(<structured-type>) OUT parameter.
  `Ref`
  `getRef(String parameterName)`
  Retrieves the value of the designated JDBC REF(invalid input: '<'structured-type>) parameter as a Ref object in the Java programming language.
  `RowId`
  `getRowId(int parameterIndex)`
  This method is not supported.
  `RowId`
  `getRowId(String parameterName)`
  This method is not supported.
  `short`
  `getShort(int parameterIndex)`
  Retrieves the value of the designated JDBC SMALLINT parameter as a short in the Java programming language.
  `short`
  `getShort(String parameterName)`
  Retrieves the value of the designated JDBC SMALLINT parameter as a short in the Java programming language.
  `SQLXML`
  `getSQLXML(int parameterIndex)`
  This method is not supported.
  `SQLXML`
  `getSQLXML(String parameterName)`
  This method is not supported.
  `String`
  `getString(int parameterIndex)`
  Retrieves the value of the designated JDBC CHAR, VARCHAR, or LONGVARCHAR parameter as a String in the Java programming language.
  `String`
  `getString(String parameterName)`
  Retrieves the value of the designated JDBC CHAR, VARCHAR, or LONGVARCHAR parameter as a String in the Java programming language.
  `Time`
  `getTime(int parameterIndex)`
  Retrieves the value of the designated JDBC TIME parameter as a java.sql.Time object.
  `Time`
  `getTime(int parameterIndex, Calendar cal)`
  Gets the value of a SQL TIME parameter as a java.sql.Time object.
  `Time`
  `getTime(String parameterName)`
  Retrieves the value of the designated JDBC TIME parameter as a java.sql.Time object.
  `Time`
  `getTime(String parameterName, Calendar cal)`
  Retrieves the value of the designated JDBC TIME parameter as a java.sql.Time object.
  `Timestamp`
  `getTimestamp(int parameterIndex)`
  Retrieves the value of the designated JDBC TIMESTAMP parameter as a java.sql.Timestamp object.
  `Timestamp`
  `getTimestamp(int parameterIndex, Calendar cal)`
  Get the value of a SQL TIMESTAMP parameter as a java.sql.Timestamp object.
  `Timestamp`
  `getTimestamp(String parameterName)`
  Retrieves the value of the designated JDBC TIMESTAMP parameter as a java.sql.Timestamp object.
  `Timestamp`
  `getTimestamp(String parameterName, Calendar cal)`
  Retrieves the value of the designated JDBC TIMESTAMP parameter as a java.sql.Timestamp object.
  `URL`
  `getURL(int parameterIndex)`
  Retrieves the value of a JDBC DATALINK parameter as a java.net.URL object.
  `URL`
  `getURL(String parameterName)`
  Retrieves the value of a JDBC DATALINK parameter as a java.net.URL object.
  `void`
  `registerOutParameter(int parameterIndex, int sqlType)`
  Registers the OUT parameter in ordinal position parameterIndex to the JDBC type sqlType.
  `void`
  `registerOutParameter(int parameterIndex, int sqlType, int scale)`
  Registers the OUT parameter in ordinal position parameterIndex to the JDBC type sqlType.
  `void`
  `registerOutParameter(int parameterIndex, int sqlType, String x)`
  JDBC 2.0 This method is not yet supported.
  `void`
  `registerOutParameter(String parameterName, int sqlType)`
  Registers the OUT parameter in ordinal position parameterIndex to the JDBC type sqlType.
  `void`
  `registerOutParameter(String parameterName, int sqlType, int scale)`
  Registers the OUT parameter in ordinal position parameterIndex to the JDBC type sqlType.
  `void`
  `registerOutParameter(String parameterName, int sqlType, String typeName)`
  Registers the OUT parameter in ordinal position parameterIndex to the JDBC type sqlType.
  `void`
  `setAsciiStream(String parameterName, InputStream x)`
  This method is not supported.
  `void`
  `setAsciiStream(String parameterName, InputStream x, int length)`
  Sets the designated parameter to the given input stream, which will have the specified number of bytes.
  `void`
  `setAsciiStream(String parameterName, InputStream x, long length)`
  This method is not supported.
  `void`
  `setBigDecimal(String parameterName, BigDecimal x)`
  Sets the designated parameter to the given java.math.BigDecimal value.
  `void`
  `setBinaryStream(String parameterName, InputStream x)`
  This method is not supported.
  `void`
  `setBinaryStream(String parameterName, InputStream x, int length)`
  Sets the designated parameter to the given input stream, which will have the specified number of bytes.
  `void`
  `setBinaryStream(String parameterName, InputStream x, long length)`
  This method is not supported.
  `void`
  `setBlob(String parameterName, InputStream inputStream)`
  This method is not supported.
  `void`
  `setBlob(String parameterName, InputStream inputStream, long length)`
  This method is not supported.
  `void`
  `setBlob(String parameterName, Blob x)`
  This method is not supported.
  `void`
  `setBoolean(String parameterName, boolean x)`
  Sets the designated parameter to the given Java boolean value.
  `void`
  `setByte(String parameterName, byte x)`
  Sets the designated parameter to the given Java byte value.
  `void`
  `setBytes(String parameterName, byte[] x)`
  Sets the designated parameter to the given Java array of bytes.
  `void`
  `setCharacterStream(String parameterName, Reader reader)`
  This method is not supported.
  `void`
  `setCharacterStream(String parameterName, Reader reader, int length)`
  Sets the designated parameter to the given Reader object, which is the given number of characters long.
  `void`
  `setCharacterStream(String parameterName, Reader reader, long length)`
  This method is not supported.
  `void`
  `setClob(String parameterName, Reader reader)`
  This method is not supported.
  `void`
  `setClob(String parameterName, Reader reader, long length)`
  This method is not supported.
  `void`
  `setClob(String parameterName, Clob x)`
  This method is not supported.
  `void`
  `setDate(String parameterName, Date x)`
  Sets the designated parameter to the given java.sql.Date value.
  `void`
  `setDate(String parameterName, Date x, Calendar cal)`
  Sets the designated parameter to the given java.sql.Date value.
  `void`
  `setDouble(String parameterName, double x)`
  Sets the designated parameter to the given Java double value.
  `void`
  `setFloat(String parameterName, float x)`
  Sets the designated parameter to the given Java float value.
  `void`
  `setInt(String parameterName, int x)`
  Sets the designated parameter to the given Java int value.
  `void`
  `setLong(String parameterName, long x)`
  Sets the designated parameter to the given Java long value.
  `void`
  `setNCharacterStream(String parameterName, Reader value)`
  This method is not supported.
  `void`
  `setNCharacterStream(String parameterName, Reader value, long length)`
  This method is not supported.
  `void`
  `setNClob(String parameterName, Reader reader)`
  This method is not supported.
  `void`
  `setNClob(String parameterName, Reader reader, long length)`
  This method is not supported.
  `void`
  `setNClob(String parameterName, NClob value)`
  This method is not supported.
  `void`
  `setNString(String parameterName, String value)`
  This method is not supported.
  `void`
  `setNull(String parameterName, int sqlType)`
  Sets the designated parameter to SQL NULL.
  `void`
  `setNull(String parameterName, int sqlType, String typeName)`
  Sets the designated parameter to SQL NULL.
  `void`
  `setObject(String parameterName, Object x)`
  Sets the value of the designated parameter with the given object.
  `void`
  `setObject(String parameterName, Object x, int targetSqlType)`
  Sets the value of the designated parameter with the given object.
  `void`
  `setObject(String parameterName, Object x, int targetSqlType, int scale)`
  Sets the value of the designated parameter with the given object.
  `void`
  `setRowId(String parameterName, RowId x)`
  This method is not supported.
  `void`
  `setShort(String parameterName, short x)`
  Sets the designated parameter to the given Java short value.
  `void`
  `setSQLXML(String parameterName, SQLXML xmlObject)`
  This method is not supported.
  `void`
  `setString(String parameterName, String x)`
  Retrieves the value of the designated JDBC CHAR, VARCHAR, or LONGVARCHAR parameter as a String in the Java programming language.
  `void`
  `setTime(String parameterName, Time x)`
  Sets the designated parameter to the given java.sql.Time value.
  `void`
  `setTime(String parameterName, Time x, Calendar cal)`
  Sets the designated parameter to the given java.sql.Time value.
  `void`
  `setTimestamp(String parameterName, Timestamp x)`
  Sets the designated parameter to the given java.sql.Timestamp value.
  `void`
  `setTimestamp(String parameterName, Timestamp x, Calendar cal)`
  Sets the designated parameter to the given java.sql.Timestamp value.
  `void`
  `setURL(String parameterName, URL val)`
  Sets the designated parameter to the given java.net.URL object.
  `boolean`
  `wasNull()`
  Retrieves whether the last OUT parameter read had the value of SQL NULL.

  ### Methods inherited from class com.sas.rio.MVAPreparedStatement

  `addBatch, clearParameters, execute, executeQuery, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNull, setNull, setObject, setObject, setObject, setRef, setRowId, setShort, setSQLXML, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

  ### Methods inherited from class com.sas.rio.MVAStatement

  `addBatch, addBatch2, cancel, checkClosed, clearBatch, clearWarnings, close, closeOnCompletion, createDualResultSet, createTable, deleteRioTable, deleteRioTable, deleteTable, deleteTable, execute, execute, execute, execute, execute2, executeBatch, executeQuery, executeQuery2, executeUpdate, executeUpdate, executeUpdate, executeUpdate, executeUpdate2, getConnection, getDualRioTable, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getRioTable, getRioTable, getRioUtil, getTable, getTable, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, isWrapperFor, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, unwrap`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.sql.CallableStatement

  `registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, setObject, setObject`

  ### Methods inherited from interface java.sql.PreparedStatement

  `addBatch, clearParameters, execute, executeLargeUpdate, executeQuery, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNull, setNull, setObject, setObject, setObject, setObject, setObject, setRef, setRowId, setShort, setSQLXML, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

  ### Methods inherited from interface java.sql.Statement

  `addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, enquoteIdentifier, enquoteLiteral, enquoteNCharLiteral, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, isSimpleIdentifier, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

  ### Methods inherited from interface java.sql.Wrapper

  `isWrapperFor, unwrap`

- ## Method Details

  - ### registerOutParameter

    public void registerOutParameter(int parameterIndex, int sqlType) throws SQLException
    Registers the OUT parameter in ordinal position parameterIndex to the JDBC type sqlType. This method is not supported.
    Specified by:
      `registerOutParameter` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### registerOutParameter

    public void registerOutParameter(int parameterIndex, int sqlType, String x) throws SQLException
    JDBC 2.0 This method is not yet supported.
    Specified by:
      `registerOutParameter` in interface `CallableStatement`
    Parameters:
      `parameterIndex` - The parameter index. The first parameter is 1, the second parameter is 2, and so on.
      `sqlType` - An SQL type code that is defined by java.sql.Types.
      `x` - An input String.
    Throws:
      `SQLException` - This exception is always thrown.

  - ### registerOutParameter

    public void registerOutParameter(int parameterIndex, int sqlType, int scale) throws SQLException
    Registers the OUT parameter in ordinal position parameterIndex to the JDBC type sqlType. This method is not supported.
    Specified by:
      `registerOutParameter` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### wasNull

    public boolean wasNull() throws SQLException
    Retrieves whether the last OUT parameter read had the value of SQL NULL. This method is not supported.
    Specified by:
      `wasNull` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getString

    public String getString(int parameterIndex) throws SQLException
    Retrieves the value of the designated JDBC CHAR, VARCHAR, or LONGVARCHAR parameter as a String in the Java programming language. This method is not supported.
    Specified by:
      `getString` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getBoolean

    public boolean getBoolean(int parameterIndex) throws SQLException
    Retrieves the value of the designated JDBC BIT parameter as a boolean in the Java programming language. This method is not supported.
    Specified by:
      `getBoolean` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getByte

    public byte getByte(int parameterIndex) throws SQLException
    Retrieves the value of the designated JDBC TINYINT parameter as a byte in the Java programming language. This method is not supported.
    Specified by:
      `getByte` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getShort

    public short getShort(int parameterIndex) throws SQLException
    Retrieves the value of the designated JDBC SMALLINT parameter as a short in the Java programming language. This method is not supported.
    Specified by:
      `getShort` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getInt

    public int getInt(int parameterIndex) throws SQLException
    Retrieves the value of the designated JDBC INTEGER parameter as an int in the Java programming language. This method is not supported.
    Specified by:
      `getInt` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getLong

    public long getLong(int parameterIndex) throws SQLException
    Retrieves the value of the designated JDBC BIGINT parameter as a long in the Java programming language. This method is not supported.
    Specified by:
      `getLong` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getFloat

    public float getFloat(int parameterIndex) throws SQLException
    Retrieves the value of the designated JDBC FLOAT parameter as a float in the Java programming language. This method is not supported.
    Specified by:
      `getFloat` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getDouble

    public double getDouble(int parameterIndex) throws SQLException
    Retrieves the value of the designated JDBC DOUBLE parameter as a double in the Java programming language. This method is not supported.
    Specified by:
      `getDouble` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getBigDecimal

    public BigDecimal getBigDecimal(int parameterIndex, int scale) throws SQLException
    Deprecated.
    Retrieves the value of the designated JDBC NUMERIC parameter as a java.math.BigDecimal object with as many digits to the right of the decimal point as the value contains. This method is not supported.
    Specified by:
      `getBigDecimal` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getBytes

    public byte[] getBytes(int parameterIndex) throws SQLException
    Retrieves the value of the designated JDBC BINARY or VARBINARY parameter as an array of byte values in the Java programming language. This method is not supported.
    Specified by:
      `getBytes` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getDate

    public Date getDate(int parameterIndex) throws SQLException
    Retrieves the value of the designated JDBC DATE parameter as a java.sql.Date object. This method is not supported.
    Specified by:
      `getDate` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getTime

    public Time getTime(int parameterIndex) throws SQLException
    Retrieves the value of the designated JDBC TIME parameter as a java.sql.Time object. This method is not supported.
    Specified by:
      `getTime` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getTimestamp

    public Timestamp getTimestamp(int parameterIndex) throws SQLException
    Retrieves the value of the designated JDBC TIMESTAMP parameter as a java.sql.Timestamp object. This method is not supported.
    Specified by:
      `getTimestamp` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getObject

    public Object getObject(int parameterIndex) throws SQLException
    Retrieves the value of the designated parameter as an Object in the Java programming language. This method is not supported.
    Specified by:
      `getObject` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getBigDecimal

    public BigDecimal getBigDecimal(int parameterIndex) throws SQLException
    Deprecated.
    JDBC 2.0 Gets the value of a NUMERIC parameter as a java.math.BigDecimal object. This method is not supported.
    Specified by:
      `getBigDecimal` in interface `CallableStatement`
    Parameters:
      `parameterIndex` - the first parameter is 1, the second is 2, ...
    Returns:
      the parameter value (full precision); if the value is SQL NULL, the result is null
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getObject

    public Object getObject(int i, Map<String,Class<?>> map) throws SQLException
    JDBC 2.0 Gets an object representing the value of OUT parameter @i. Use the @map to determine the class from which to construct data of SQL structured and distinct types. This method is not supported.
    Specified by:
      `getObject` in interface `CallableStatement`
    Parameters:
      `i` - the first parameter is 1, the second is 2, ...
      `map` - the mapping from SQL type names to Java classes
    Returns:
      a java.lang.Object holding the OUT parameter value.
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getRef

    public Ref getRef(int i) throws SQLException
    JDBC 2.0 Gets a REF(<structured-type>) OUT parameter. This method is not supported.
    Specified by:
      `getRef` in interface `CallableStatement`
    Parameters:
      `i` - the first parameter is 1, the second is 2, ...
    Returns:
      an object representing data of an SQL REF Type
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getBlob

    public Blob getBlob(int i) throws SQLException
    JDBC 2.0 Gets a BLOB OUT parameter. This method is not supported.
    Specified by:
      `getBlob` in interface `CallableStatement`
    Parameters:
      `i` - the first parameter is 1, the second is 2, ...
    Returns:
      an object representing a BLOB
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getClob

    public Clob getClob(int i) throws SQLException
    JDBC 2.0 Gets a CLOB OUT parameter. This method is not supported.
    Specified by:
      `getClob` in interface `CallableStatement`
    Parameters:
      `i` - the first parameter is 1, the second is 2, ...
    Returns:
      an object representing a CLOB
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getArray

    public Array getArray(int i) throws SQLException
    JDBC 2.0 Gets an Array OUT parameter. This method is not supported.
    Specified by:
      `getArray` in interface `CallableStatement`
    Parameters:
      `i` - the first parameter is 1, the second is 2, ...
    Returns:
      an object representing an SQL array
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getDate

    public Date getDate(int parameterIndex, Calendar cal) throws SQLException
    Gets the value of a SQL DATE parameter as a java.sql.Date object. This method is not supported.
    Specified by:
      `getDate` in interface `CallableStatement`
    Parameters:
      `parameterIndex` - the first parameter is 1, the second is 2, ...
    Returns:
      the parameter value; if the value is SQL NULL, the result is null.
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getTime

    public Time getTime(int parameterIndex, Calendar cal) throws SQLException
    Gets the value of a SQL TIME parameter as a java.sql.Time object. This method is not supported.
    Specified by:
      `getTime` in interface `CallableStatement`
    Parameters:
      `parameterIndex` - the first parameter is 1, the second is 2, ...
    Returns:
      the parameter value; if the value is SQL NULL, the result is null
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getTimestamp

    public Timestamp getTimestamp(int parameterIndex, Calendar cal) throws SQLException
    Get the value of a SQL TIMESTAMP parameter as a java.sql.Timestamp object. This method is not supported.
    Specified by:
      `getTimestamp` in interface `CallableStatement`
    Parameters:
      `parameterIndex` - the first parameter is 1, the second is 2, ...
    Returns:
      the parameter value; if the value is SQL NULL, the result is null
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getArray

    public Array getArray(String parameterName) throws SQLException
    Retrieves the value of the designated JDBC ARRAY parameter as an Array object in the Java programming language. This method is not implemented.
    Specified by:
      `getArray` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getBigDecimal

    public BigDecimal getBigDecimal(String parameterName) throws SQLException
    Retrieves the value of the designated JDBC NUMERIC parameter as a java.math.BigDecimal object with as many digits to the right of the decimal point as the value contains. This method is not implemented.
    Specified by:
      `getBigDecimal` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getBlob

    public Blob getBlob(String parameterName) throws SQLException
    Retrieves the value of the designated JDBC BLOB parameter as a Blob object in the Java programming language. This method is not implemented.
    Specified by:
      `getBlob` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getBoolean

    public boolean getBoolean(String parameterName) throws SQLException
    Retrieves the value of the designated JDBC BIT parameter as a boolean in the Java programming language. This method is not implemented.
    Specified by:
      `getBoolean` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getByte

    public byte getByte(String parameterName) throws SQLException
    Retrieves the value of the designated JDBC TINYINT parameter as a byte in the Java programming language. This method is not implemented.
    Specified by:
      `getByte` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getBytes

    public byte[] getBytes(String parameterName) throws SQLException
    Retrieves the value of the designated JDBC BINARY or VARBINARY parameter as an array of byte values in the Java programming language. This method is not implemented.
    Specified by:
      `getBytes` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getClob

    public Clob getClob(String parameterName) throws SQLException
    Retrieves the value of the designated JDBC CLOB parameter as a Clob object in the Java programming language. This method is not implemented.
    Specified by:
      `getClob` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getDate

    public Date getDate(String parameterName) throws SQLException
    Retrieves the value of the designated JDBC DATE parameter as a java.sql.Date object. This method is not implemented.
    Specified by:
      `getDate` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getDate

    public Date getDate(String parameterName, Calendar cal) throws SQLException
    Retrieves the value of the designated JDBC DATE parameter as a java.sql.Date object. This method is not implemented.
    Specified by:
      `getDate` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getDouble

    public double getDouble(String parameterName) throws SQLException
    Retrieves the value of the designated JDBC DOUBLE parameter as a double in the Java programming language. This method is not implemented.
    Specified by:
      `getDouble` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getFloat

    public float getFloat(String parameterName) throws SQLException
    Retrieves the value of the designated JDBC FLOAT parameter as a float in the Java programming language. This method is not implemented.
    Specified by:
      `getFloat` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getInt

    public int getInt(String parameterName) throws SQLException
    Retrieves the value of the designated JDBC INTEGER parameter as an int in the Java programming language. This method is not implemented.
    Specified by:
      `getInt` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getLong

    public long getLong(String parameterName) throws SQLException
    Retrieves the value of the designated JDBC BIGINT parameter as a long in the Java programming language. This method is not implemented.
    Specified by:
      `getLong` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getObject

    public Object getObject(String parameterName) throws SQLException
    Retrieves the value of the designated parameter as an Object in the Java programming language. This method is not implemented.
    Specified by:
      `getObject` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getObject

    public Object getObject(String parameterName, Map<String,Class<?>> map) throws SQLException
    Retrieves the value of the designated parameter as an Object in the Java programming language. This method is not implemented.
    Specified by:
      `getObject` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getRef

    public Ref getRef(String parameterName) throws SQLException
    Retrieves the value of the designated JDBC REF(invalid input: '<'structured-type>) parameter as a Ref object in the Java programming language. This method is not implemented.
    Specified by:
      `getRef` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getShort

    public short getShort(String parameterName) throws SQLException
    Retrieves the value of the designated JDBC SMALLINT parameter as a short in the Java programming language. This method is not implemented.
    Specified by:
      `getShort` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getString

    public String getString(String parameterName) throws SQLException
    Retrieves the value of the designated JDBC CHAR, VARCHAR, or LONGVARCHAR parameter as a String in the Java programming language. This method is not implemented.
    Specified by:
      `getString` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getTime

    public Time getTime(String parameterName, Calendar cal) throws SQLException
    Retrieves the value of the designated JDBC TIME parameter as a java.sql.Time object. This method is not implemented.
    Specified by:
      `getTime` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getTime

    public Time getTime(String parameterName) throws SQLException
    Retrieves the value of the designated JDBC TIME parameter as a java.sql.Time object. This method is not implemented.
    Specified by:
      `getTime` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getTimestamp

    public Timestamp getTimestamp(String parameterName) throws SQLException
    Retrieves the value of the designated JDBC TIMESTAMP parameter as a java.sql.Timestamp object. This method is not implemented.
    Specified by:
      `getTimestamp` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getTimestamp

    public Timestamp getTimestamp(String parameterName, Calendar cal) throws SQLException
    Retrieves the value of the designated JDBC TIMESTAMP parameter as a java.sql.Timestamp object. This method is not implemented.
    Specified by:
      `getTimestamp` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getURL

    public URL getURL(int parameterIndex) throws SQLException
    Retrieves the value of a JDBC DATALINK parameter as a java.net.URL object. This method is not implemented.
    Specified by:
      `getURL` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getURL

    public URL getURL(String parameterName) throws SQLException
    Retrieves the value of a JDBC DATALINK parameter as a java.net.URL object. This method is not implemented.
    Specified by:
      `getURL` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### registerOutParameter

    public void registerOutParameter(String parameterName, int sqlType) throws SQLException
    Registers the OUT parameter in ordinal position parameterIndex to the JDBC type sqlType. This method is not implemented.
    Specified by:
      `registerOutParameter` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### registerOutParameter

    public void registerOutParameter(String parameterName, int sqlType, int scale) throws SQLException
    Registers the OUT parameter in ordinal position parameterIndex to the JDBC type sqlType. This method is not implemented.
    Specified by:
      `registerOutParameter` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### registerOutParameter

    public void registerOutParameter(String parameterName, int sqlType, String typeName) throws SQLException
    Registers the OUT parameter in ordinal position parameterIndex to the JDBC type sqlType. This method is not implemented.
    Specified by:
      `registerOutParameter` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### setAsciiStream

    public void setAsciiStream(String parameterName, InputStream x, int length) throws SQLException
    Sets the designated parameter to the given input stream, which will have the specified number of bytes. This method is not implemented.
    Specified by:
      `setAsciiStream` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### setBigDecimal

    public void setBigDecimal(String parameterName, BigDecimal x) throws SQLException
    Sets the designated parameter to the given java.math.BigDecimal value. This method is not implemented.
    Specified by:
      `setBigDecimal` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### setBinaryStream

    public void setBinaryStream(String parameterName, InputStream x, int length) throws SQLException
    Sets the designated parameter to the given input stream, which will have the specified number of bytes. This method is not implemented.
    Specified by:
      `setBinaryStream` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### setBoolean

    public void setBoolean(String parameterName, boolean x) throws SQLException
    Sets the designated parameter to the given Java boolean value. This method is not implemented.
    Specified by:
      `setBoolean` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### setByte

    public void setByte(String parameterName, byte x) throws SQLException
    Sets the designated parameter to the given Java byte value. This method is not implemented.
    Specified by:
      `setByte` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### setBytes

    public void setBytes(String parameterName, byte[] x) throws SQLException
    Sets the designated parameter to the given Java array of bytes. This method is not implemented.
    Specified by:
      `setBytes` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### setCharacterStream

    public void setCharacterStream(String parameterName, Reader reader, int length) throws SQLException
    Sets the designated parameter to the given Reader object, which is the given number of characters long. This method is not implemented.
    Specified by:
      `setCharacterStream` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### setDate

    public void setDate(String parameterName, Date x) throws SQLException
    Sets the designated parameter to the given java.sql.Date value. This method is not implemented.
    Specified by:
      `setDate` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### setDate

    public void setDate(String parameterName, Date x, Calendar cal) throws SQLException
    Sets the designated parameter to the given java.sql.Date value. This method is not implemented.
    Specified by:
      `setDate` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### setDouble

    public void setDouble(String parameterName, double x) throws SQLException
    Sets the designated parameter to the given Java double value. This method is not implemented.
    Specified by:
      `setDouble` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### setFloat

    public void setFloat(String parameterName, float x) throws SQLException
    Sets the designated parameter to the given Java float value. This method is not implemented.
    Specified by:
      `setFloat` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### setInt

    public void setInt(String parameterName, int x) throws SQLException
    Sets the designated parameter to the given Java int value. This method is not implemented.
    Specified by:
      `setInt` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### setLong

    public void setLong(String parameterName, long x) throws SQLException
    Sets the designated parameter to the given Java long value. This method is not implemented.
    Specified by:
      `setLong` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### setNull

    public void setNull(String parameterName, int sqlType) throws SQLException
    Sets the designated parameter to SQL NULL. This method is not implemented.
    Specified by:
      `setNull` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### setNull

    public void setNull(String parameterName, int sqlType, String typeName) throws SQLException
    Sets the designated parameter to SQL NULL. This method is not implemented.
    Specified by:
      `setNull` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### setObject

    public void setObject(String parameterName, Object x) throws SQLException
    Sets the value of the designated parameter with the given object. This method is not implemented.
    Specified by:
      `setObject` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### setObject

    public void setObject(String parameterName, Object x, int targetSqlType) throws SQLException
    Sets the value of the designated parameter with the given object. This method is not implemented.
    Specified by:
      `setObject` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### setObject

    public void setObject(String parameterName, Object x, int targetSqlType, int scale) throws SQLException
    Sets the value of the designated parameter with the given object. This method is not implemented.
    Specified by:
      `setObject` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### setShort

    public void setShort(String parameterName, short x) throws SQLException
    Sets the designated parameter to the given Java short value. This method is not implemented.
    Specified by:
      `setShort` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### setString

    public void setString(String parameterName, String x) throws SQLException
    Retrieves the value of the designated JDBC CHAR, VARCHAR, or LONGVARCHAR parameter as a String in the Java programming language. This method is not implemented.
    Specified by:
      `setString` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### setTime

    public void setTime(String parameterName, Time x) throws SQLException
    Sets the designated parameter to the given java.sql.Time value. This method is not implemented.
    Specified by:
      `setTime` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### setTime

    public void setTime(String parameterName, Time x, Calendar cal) throws SQLException
    Sets the designated parameter to the given java.sql.Time value. This method is not implemented.
    Specified by:
      `setTime` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### setTimestamp

    public void setTimestamp(String parameterName, Timestamp x) throws SQLException
    Sets the designated parameter to the given java.sql.Timestamp value. This method is not implemented.
    Specified by:
      `setTimestamp` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### setTimestamp

    public void setTimestamp(String parameterName, Timestamp x, Calendar cal) throws SQLException
    Sets the designated parameter to the given java.sql.Timestamp value. This method is not implemented.
    Specified by:
      `setTimestamp` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### setURL

    public void setURL(String parameterName, URL val) throws SQLException
    Sets the designated parameter to the given java.net.URL object. This method is not implemented.
    Specified by:
      `setURL` in interface `CallableStatement`
    Throws:
      `SQLException` - This exception is always thrown.

  - ### getRowId

    public RowId getRowId(int parameterIndex) throws SQLException
    This method is not supported.

    Retrieves the value of the designated JDBC `ROWID` parameter as a `java.sql.RowId` object.

    Specified by:
      `getRowId` in interface `CallableStatement`
    Parameters:
      `parameterIndex` - the first parameter is 1, the second is 2,...

    Throws:
      `SQLException` - Always thrown, to indicate that this method is not implemented.

    Since:
      1.6

  - ### getRowId

    public RowId getRowId(String parameterName) throws SQLException
    This method is not supported.

    Retrieves the value of the designated JDBC `ROWID` parameter as a `java.sql.RowId` object.

    Specified by:
      `getRowId` in interface `CallableStatement`
    Parameters:
      `parameterName` - the name of the parameter

    Throws:
      `SQLException` - Always thrown, to indicate that this method is not implemented.

    Since:
      1.6

  - ### setRowId

    public void setRowId(String parameterName, RowId x) throws SQLException
    This method is not supported.

    Sets the designated parameter to the given `java.sql.RowId` object. The driver converts this to a SQL `ROWID` when it sends it to the database.

    Specified by:
      `setRowId` in interface `CallableStatement`
    Parameters:
      `parameterName` - the name of the parameter
      `x` - the parameter value

    Throws:
      `SQLException` - Always thrown, to indicate that this method is not implemented.

    Since:
      1.6

  - ### setNString

    public void setNString(String parameterName, String value) throws SQLException
    This method is not supported.

    Sets the designated parameter to the given `String` object. The driver converts this to a SQL `NCHAR` or `NVARCHAR` or `LONGNVARCHAR`

    Specified by:
      `setNString` in interface `CallableStatement`
    Parameters:
      `parameterName` - the name of the parameter to be set
      `value` - the parameter value

    Throws:
      `SQLException` - Always thrown, to indicate that this method is not implemented.

    Since:
      1.6

  - ### setNCharacterStream

    public void setNCharacterStream(String parameterName, Reader value, long length) throws SQLException
    This method is not supported.

    Sets the designated parameter to a `Reader` object. The `Reader` reads the data till end-of-file is reached. The driver does the necessary conversion from Java character format to the national character set in the database.

    Specified by:
      `setNCharacterStream` in interface `CallableStatement`
    Parameters:
      `parameterName` - the name of the parameter to be set
      `value` - the parameter value
      `length` - the number of characters in the parameter data.

    Throws:
      `SQLException` - Always thrown, to indicate that this method is not implemented.

    Since:
      1.6

  - ### setNClob

    public void setNClob(String parameterName, NClob value) throws SQLException
    This method is not supported.

    Sets the designated parameter to a `java.sql.NClob` object. The object implements the `java.sql.NClob` interface. This `NClob` object maps to a SQL `NCLOB`.

    Specified by:
      `setNClob` in interface `CallableStatement`
    Parameters:
      `parameterName` - the name of the parameter to be set
      `value` - the parameter value

    Throws:
      `SQLException` - Always thrown, to indicate that this method is not implemented.

    Since:
      1.6

  - ### setClob

    public void setClob(String parameterName, Reader reader, long length) throws SQLException
    This method is not supported.

    Sets the designated parameter to a `Reader` object. The `reader` must contain the number of characters specified by length otherwise a `SQLException` will be generated when the `CallableStatement` is executed. This method differs from the `setCharacterStream (int, Reader, int)` method because it informs the driver that the parameter value should be sent to the server as a `CLOB`. When the `setCharacterStream` method is used, the driver may have to do extra work to determine whether the parameter data should be send to the server as a `LONGVARCHAR` or a `CLOB`

    Specified by:
      `setClob` in interface `CallableStatement`
    Parameters:
      `parameterName` - the name of the parameter to be set
      `reader` - An object that contains the data to set the parameter value to.
      `length` - the number of characters in the parameter data.

    Throws:
      `SQLException` - Always thrown, to indicate that this method is not implemented.

    Since:
      1.6

  - ### setBlob

    public void setBlob(String parameterName, InputStream inputStream, long length) throws SQLException
    This method is not supported.

    Sets the designated parameter to a `InputStream` object. The `inputstream` must contain the number of characters specified by length, otherwise a `SQLException` will be generated when the `CallableStatement` is executed. This method differs from the `setBinaryStream (int, InputStream, int)` method because it informs the driver that the parameter value should be sent to the server as a `BLOB`. When the `setBinaryStream` method is used, the driver may have to do extra work to determine whether the parameter data should be sent to the server as a `LONGVARBINARY` or a `BLOB`

    Specified by:
      `setBlob` in interface `CallableStatement`
    Parameters:
      `parameterName` - the name of the parameter to be set the second is 2, ...
      `inputStream` - An object that contains the data to set the parameter value to.
      `length` - the number of bytes in the parameter data.

    Throws:
      `SQLException` - Always thrown, to indicate that this method is not implemented.

    Since:
      1.6

  - ### setNClob

    public void setNClob(String parameterName, Reader reader, long length) throws SQLException
    This method is not supported.

    Sets the designated parameter to a `Reader` object. The `reader` must contain the number of characters specified by length otherwise a `SQLException` will be generated when the `CallableStatement` is executed. This method differs from the `setCharacterStream (int, Reader, int)` method because it informs the driver that the parameter value should be sent to the server as a `NCLOB`. When the `setCharacterStream` method is used, the driver may have to do extra work to determine whether the parameter data should be send to the server as a `LONGNVARCHAR` or a `NCLOB`

    Specified by:
      `setNClob` in interface `CallableStatement`
    Parameters:
      `parameterName` - the name of the parameter to be set
      `reader` - An object that contains the data to set the parameter value to.
      `length` - the number of characters in the parameter data.

    Throws:
      `SQLException` - Always thrown, to indicate that this method is not implemented.

    Since:
      1.6

  - ### getNClob

    public NClob getNClob(int parameterIndex) throws SQLException
    This method is not supported.

    Retrieves the value of the designated JDBC `NCLOB` parameter as a `java.sql.NClob` object in the Java programming language.

    Specified by:
      `getNClob` in interface `CallableStatement`
    Parameters:
      `parameterIndex` - the first parameter is 1, the second is 2, and so on Java programming language. If the value was SQL `NULL`, the value `null` is returned.

    Throws:
      `SQLException` - Always thrown, to indicate that this method is not implemented.

    Since:
      1.6

  - ### getNClob

    public NClob getNClob(String parameterName) throws SQLException
    This method is not supported.

    Retrieves the value of a JDBC `NCLOB` parameter as a `java.sql.NClob` object in the Java programming language.

    Specified by:
      `getNClob` in interface `CallableStatement`
    Parameters:
      `parameterName` - the name of the parameter

    Throws:
      `SQLException` - Always thrown, to indicate that this method is not implemented.

    Since:
      1.6

  - ### setSQLXML

    public void setSQLXML(String parameterName, SQLXML xmlObject) throws SQLException
    This method is not supported.

    Sets the designated parameter to the given `java.sql.SQLXML` object. The driver converts this to an `SQL XML` value when it sends it to the database.

    Specified by:
      `setSQLXML` in interface `CallableStatement`
    Parameters:
      `parameterName` - the name of the parameter
      `xmlObject` - a `SQLXML` object that maps an `SQL XML` value

    Throws:
      `SQLException` - Always thrown, to indicate that this method is not implemented.

    Since:
      1.6

  - ### getSQLXML

    public SQLXML getSQLXML(int parameterIndex) throws SQLException
    This method is not supported.

    Retrieves the value of the designated `SQL XML` parameter as a `java.sql.SQLXML` object in the Java programming language.

    Specified by:
      `getSQLXML` in interface `CallableStatement`
    Parameters:
      `parameterIndex` - index of the first parameter is 1, the second is 2, ...

    Throws:
      `SQLException` - Always thrown, to indicate that this method is not implemented.

    Since:
      1.6

  - ### getSQLXML

    public SQLXML getSQLXML(String parameterName) throws SQLException
    This method is not supported.

    Retrieves the value of the designated `SQL XML` parameter as a `java.sql.SQLXML` object in the Java programming language.

    Specified by:
      `getSQLXML` in interface `CallableStatement`
    Parameters:
      `parameterName` - the name of the parameter

    Throws:
      `SQLException` - Always thrown, to indicate that this method is not implemented.

    Since:
      1.6

  - ### getNString

    public String getNString(int parameterIndex) throws SQLException
    This method is not supported.

    Retrieves the value of the designated `NCHAR`, `NVARCHAR` or `LONGNVARCHAR` parameter as a `String` in the Java programming language.

    For the fixed-length type JDBC `NCHAR`, the `String` object returned has exactly the same value the SQL `NCHAR` value had in the database, including any padding added by the database.

    Specified by:
      `getNString` in interface `CallableStatement`
    Parameters:
      `parameterIndex` - index of the first parameter is 1, the second is 2, ...

    Throws:
      `SQLException` - Always thrown, to indicate that this method is not implemented.

    Since:
      1.6
    See Also:
      - `setNString(java.lang.String, java.lang.String)`

  - ### getNString

    public String getNString(String parameterName) throws SQLException
    This method is not supported.

    Retrieves the value of the designated `NCHAR`, `NVARCHAR` or `LONGNVARCHAR` parameter as a `String` in the Java programming language.

    For the fixed-length type JDBC `NCHAR`, the `String` object returned has exactly the same value the SQL `NCHAR` value had in the database, including any padding added by the database.

    Specified by:
      `getNString` in interface `CallableStatement`
    Parameters:
      `parameterName` - the name of the parameter

    Throws:
      `SQLException` - Always thrown, to indicate that this method is not implemented.

    Since:
      1.6
    See Also:
      - `setNString(java.lang.String, java.lang.String)`

  - ### getNCharacterStream

    public Reader getNCharacterStream(int parameterIndex) throws SQLException
    This method is not supported.

    Retrieves the value of the designated parameter as a `java.io.Reader` object in the Java programming language. It is intended for use when accessing `NCHAR`, `NVARCHAR` and `LONGNVARCHAR` parameters.

    Specified by:
      `getNCharacterStream` in interface `CallableStatement`
    Throws:
      `SQLException` - Always thrown, to indicate that this method is not implemented.

    Since:
      1.6

  - ### getNCharacterStream

    public Reader getNCharacterStream(String parameterName) throws SQLException
    This method is not supported.

    Retrieves the value of the designated parameter as a `java.io.Reader` object in the Java programming language. It is intended for use when accessing `NCHAR`, `NVARCHAR` and `LONGNVARCHAR` parameters.

    Specified by:
      `getNCharacterStream` in interface `CallableStatement`
    Parameters:
      `parameterName` - the name of the parameter

    Throws:
      `SQLException` - Always thrown, to indicate that this method is not implemented.

    Since:
      1.6

  - ### getCharacterStream

    public Reader getCharacterStream(int parameterIndex) throws SQLException
    This method is not supported.

    Retrieves the value of the designated parameter as a `java.io.Reader` object in the Java programming language.

    Specified by:
      `getCharacterStream` in interface `CallableStatement`
    Throws:
      `SQLException` - Always thrown, to indicate that this method is not implemented.

    Since:
      1.6

  - ### getCharacterStream

    public Reader getCharacterStream(String parameterName) throws SQLException
    This method is not supported.

    Retrieves the value of the designated parameter as a `java.io.Reader` object in the Java programming language.

    Specified by:
      `getCharacterStream` in interface `CallableStatement`
    Parameters:
      `parameterName` - the name of the parameter

    Throws:
      `SQLException` - Always thrown, to indicate that this method is not implemented.

    Since:
      1.6

  - ### setBlob

    public void setBlob(String parameterName, Blob x) throws SQLException
    This method is not supported.

    Sets the designated parameter to the given `java.sql.Blob` object. The driver converts this to an SQL `BLOB` value when it sends it to the database.

    Specified by:
      `setBlob` in interface `CallableStatement`
    Parameters:
      `parameterName` - the name of the parameter
      `x` - a `Blob` object that maps an SQL `BLOB` value

    Throws:
      `SQLException` - Always thrown, to indicate that this method is not implemented.

    Since:
      1.6

  - ### setClob

    public void setClob(String parameterName, Clob x) throws SQLException
    This method is not supported.

    Sets the designated parameter to the given `java.sql.Clob` object. The driver converts this to an SQL `CLOB` value when it sends it to the database.

    Specified by:
      `setClob` in interface `CallableStatement`
    Parameters:
      `parameterName` - the name of the parameter
      `x` - a `Clob` object that maps an SQL `CLOB` value

    Throws:
      `SQLException` - Always thrown, to indicate that this method is not implemented.

    Since:
      1.6

  - ### setAsciiStream

    public void setAsciiStream(String parameterName, InputStream x, long length) throws SQLException
    This method is not supported.

    Sets the designated parameter to the given input stream, which will have the specified number of bytes. When a very large ASCII value is input to a `LONGVARCHAR` parameter, it may be more practical to send it via a `java.io.InputStream`. Data will be read from the stream as needed until end-of-file is reached. The JDBC driver will do any necessary conversion from ASCII to the database char format.

    Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

    Specified by:
      `setAsciiStream` in interface `CallableStatement`
    Parameters:
      `parameterName` - the name of the parameter
      `x` - the Java input stream that contains the ASCII parameter value
      `length` - the number of bytes in the stream

    Throws:
      `SQLException` - Always thrown, to indicate that this method is not implemented.

    Since:
      1.6

  - ### setBinaryStream

    public void setBinaryStream(String parameterName, InputStream x, long length) throws SQLException
    This method is not supported.

    Sets the designated parameter to the given input stream, which will have the specified number of bytes. When a very large binary value is input to a `LONGVARBINARY` parameter, it may be more practical to send it via a `java.io.InputStream` object. The data will be read from the stream as needed until end-of-file is reached.

    Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

    Specified by:
      `setBinaryStream` in interface `CallableStatement`
    Parameters:
      `parameterName` - the name of the parameter
      `x` - the java input stream which contains the binary parameter value
      `length` - the number of bytes in the stream

    Throws:
      `SQLException` - Always thrown, to indicate that this method is not implemented.

    Since:
      1.6

  - ### setCharacterStream

    public void setCharacterStream(String parameterName, Reader reader, long length) throws SQLException
    This method is not supported.

    Sets the designated parameter to the given `Reader` object, which is the given number of characters long. When a very large UNICODE value is input to a `LONGVARCHAR` parameter, it may be more practical to send it via a `java.io.Reader` object. The data will be read from the stream as needed until end-of-file is reached. The JDBC driver will do any necessary conversion from UNICODE to the database char format.

    Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

    Specified by:
      `setCharacterStream` in interface `CallableStatement`
    Parameters:
      `parameterName` - the name of the parameter
      `reader` - the `java.io.Reader` object that contains the UNICODE data used as the designated parameter
      `length` - the number of characters in the stream

    Throws:
      `SQLException` - Always thrown, to indicate that this method is not implemented.

    Since:
      1.6

  - ### setAsciiStream

    public void setAsciiStream(String parameterName, InputStream x) throws SQLException
    This method is not supported.

    Sets the designated parameter to the given input stream. When a very large ASCII value is input to a `LONGVARCHAR` parameter, it may be more practical to send it via a `java.io.InputStream`. Data will be read from the stream as needed until end-of-file is reached. The JDBC driver will do any necessary conversion from ASCII to the database char format.

    Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

    Note: Consult your JDBC driver documentation to determine if it might be more efficient to use a version of `setAsciiStream` which takes a length parameter.

    Specified by:
      `setAsciiStream` in interface `CallableStatement`
    Parameters:
      `parameterName` - the name of the parameter
      `x` - the Java input stream that contains the ASCII parameter value

    Throws:
      `SQLException` - Always thrown, to indicate that this method is not implemented.

    Since:
      1.6

  - ### setBinaryStream

    public void setBinaryStream(String parameterName, InputStream x) throws SQLException
    This method is not supported.

    Sets the designated parameter to the given input stream. When a very large binary value is input to a `LONGVARBINARY` parameter, it may be more practical to send it via a `java.io.InputStream` object. The data will be read from the stream as needed until end-of-file is reached.

    Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

    Note: Consult your JDBC driver documentation to determine if it might be more efficient to use a version of `setBinaryStream` which takes a length parameter.

    Specified by:
      `setBinaryStream` in interface `CallableStatement`
    Parameters:
      `parameterName` - the name of the parameter
      `x` - the java input stream which contains the binary parameter value

    Throws:
      `SQLException` - Always thrown, to indicate that this method is not implemented.

    Since:
      1.6

  - ### setCharacterStream

    public void setCharacterStream(String parameterName, Reader reader) throws SQLException
    This method is not supported.

    Sets the designated parameter to the given `Reader` object. When a very large UNICODE value is input to a `LONGVARCHAR` parameter, it may be more practical to send it via a `java.io.Reader` object. The data will be read from the stream as needed until end-of-file is reached. The JDBC driver will do any necessary conversion from UNICODE to the database char format.

    Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

    Note: Consult your JDBC driver documentation to determine if it might be more efficient to use a version of `setCharacterStream` which takes a length parameter.

    Specified by:
      `setCharacterStream` in interface `CallableStatement`
    Parameters:
      `parameterName` - the name of the parameter
      `reader` - the `java.io.Reader` object that contains the Unicode data

    Throws:
      `SQLException` - Always thrown, to indicate that this method is not implemented.

    Since:
      1.6

  - ### setNCharacterStream

    public void setNCharacterStream(String parameterName, Reader value) throws SQLException
    This method is not supported.

    Sets the designated parameter to a `Reader` object. The `Reader` reads the data till end-of-file is reached. The driver does the necessary conversion from Java character format to the national character set in the database.

    Note: This stream object can either be a standard Java stream object or your own subclass that implements the standard interface.

    Note: Consult your JDBC driver documentation to determine if it might be more efficient to use a version of `setNCharacterStream` which takes a length parameter.

    Specified by:
      `setNCharacterStream` in interface `CallableStatement`
    Parameters:
      `parameterName` - the name of the parameter
      `value` - the parameter value

    Throws:
      `SQLException` - Always thrown, to indicate that this method is not implemented.

    Since:
      1.6

  - ### setClob

    public void setClob(String parameterName, Reader reader) throws SQLException
    This method is not supported.

    Sets the designated parameter to a `Reader` object. This method differs from the `setCharacterStream (int, Reader)` method because it informs the driver that the parameter value should be sent to the server as a `CLOB`. When the `setCharacterStream` method is used, the driver may have to do extra work to determine whether the parameter data should be send to the server as a `LONGVARCHAR` or a `CLOB`

    Note: Consult your JDBC driver documentation to determine if it might be more efficient to use a version of `setClob` which takes a length parameter.

    Specified by:
      `setClob` in interface `CallableStatement`
    Parameters:
      `parameterName` - the name of the parameter
      `reader` - An object that contains the data to set the parameter value to.

    Throws:
      `SQLException` - Always thrown, to indicate that this method is not implemented.

    Since:
      1.6

  - ### setBlob

    public void setBlob(String parameterName, InputStream inputStream) throws SQLException
    This method is not supported.

    Sets the designated parameter to a `InputStream` object. This method differs from the `setBinaryStream (int, InputStream)` method because it informs the driver that the parameter value should be sent to the server as a `BLOB`. When the `setBinaryStream` method is used, the driver may have to do extra work to determine whether the parameter data should be send to the server as a `LONGVARBINARY` or a `BLOB`

    Note: Consult your JDBC driver documentation to determine if it might be more efficient to use a version of `setBlob` which takes a length parameter.

    Specified by:
      `setBlob` in interface `CallableStatement`
    Parameters:
      `parameterName` - the name of the parameter
      `inputStream` - An object that contains the data to set the parameter value to.

    Throws:
      `SQLException` - Always thrown, to indicate that this method is not implemented.

    Since:
      1.6

  - ### setNClob

    public void setNClob(String parameterName, Reader reader) throws SQLException
    This method is not supported.

    Sets the designated parameter to a `Reader` object. This method differs from the `setCharacterStream (int, Reader)` method because it informs the driver that the parameter value should be sent to the server as a `NCLOB`. When the `setCharacterStream` method is used, the driver may have to do extra work to determine whether the parameter data should be send to the server as a `LONGNVARCHAR` or a `NCLOB`

    Note: Consult your JDBC driver documentation to determine if it might be more efficient to use a version of `setNClob` which takes a length parameter.

    Specified by:
      `setNClob` in interface `CallableStatement`
    Parameters:
      `parameterName` - the name of the parameter
      `reader` - An object that contains the data to set the parameter value to.

    Throws:
      `SQLException` - Always thrown, to indicate that this method is not implemented.

    Since:
      1.6

  - ### getObject

    public <T> T getObject(int arg0, Class<T> arg1) throws SQLException
    Specified by:
      `getObject` in interface `CallableStatement`
    Throws:
      `SQLException`

  - ### getObject

    public <T> T getObject(String arg0, Class<T> arg1) throws SQLException
    Specified by:
      `getObject` in interface `CallableStatement`
    Throws:
      `SQLException`